
use FindBin::libs;
use FindBin::libs   qw( base=t export=test_dir scalar );

use Test::More;
use File::Basename  qw( dirname );

my $var     = 'DEVEL_SHAREDLIBS_PRINT';
my $output  = './test-output';

unlink $output;

$ENV{ $var } = '';

my $path = $test_dir . '/bin/exec-path';

-e $path or BAIL_OUT "Missing test exec: '$path'";

chomp( my @output  = qx( $path 2>&1 ) );

note "Output: $var = $ENV{ $var }\n", explain \@output;

ok ! @output, "False $var: lacks output.";

ok ! -e $output, "False $var: no '$path'";

like $_, qr{ [.]so\b }x, "Found '.so' ($_)" 
for grep /^[^#]/, @output;

done_testing
__END__
